#!/bin/sh
# Genera un resumen con valoraciones de indicadores
# Dominio público. 2003. http://structio.sourceforge.net/sigue Sin garantías

export SGML_CATALOG_FILES=$SGML_CATALOG_FILES:../../dtds/catalog
echo "<html><body>"
echo "<table border='1'><tr><td>Estudiante</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>"

for i in participantes/*; do 
	if (test -f $i/datos.ind) then {
		b=`basename $i`;
		echo "
<tr><td>$b</td>";
		xsltproc --catalogs herram/indicador2table.xsl $i/cglin3.prc
		if (test "$?" != "0") then {
			echo "Problemas $i" > /dev/stderr
			exit 1;
		} fi;
	} fi;
done
echo "</table></body></html>";
